%global _empty_manifest_terminate_build 0
%global pypi_name oslo.service
# python-pre-commit is not supported for now.
%bcond_with test

Summary:        oslo.service library
Name:           python-oslo-service
Version:        3.1.1
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.service/latest/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Library for running OpenStack services

%package -n python3-oslo-service
Summary:        oslo.service library
BuildRequires: python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-utils python3-coverage
BuildRequires: python3-debtcollector python3-eventlet python3-fixtures python3-greenlet python3-oslo-concurrency
BuildRequires: python3-paste python3-paste-deploy python3-routes python3-webob python3-yappi
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
Requires: python3-oslo-log python3-oslo-utils
Requires: python3-eventlet python3-fixtures python3-greenlet python3-oslo-concurrency python3-oslo-config python3-oslo-i18n
Requires: python3-paste python3-paste-deploy python3-routes python3-webob python3-yappi python3-debtcollector

Provides:       python-oslo-service

%description -n python3-oslo-service
Library for running OpenStack services

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build


%install
%py3_install

%if %{with test}
%check
python3 setup.py test
%endif

%files -n python3-oslo-service
%{python3_sitelib}/*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 3.1.1-1
- initial build
